description: Profile for plugins designed to work across all profiles
features:
  defaults:
  - maven-publish
  provided:
  - asset-pipeline-plugin
  - maven-publish
repositories:
- mavenLocal()
skeleton:
  excludes:
  - app/i18n/*.properties
  - app/conf/spring/**
build:
  plugins:
  - org.graceframework.grace-plugin
  excludes:
  - org.graceframework.grace-core
dependencies:
- scope: compile
  coords: org.graceframework:grace-boot
- scope: compile
  coords: org.graceframework:grace-core
name: plugin
extends: org.graceframework.profiles:base:2023.1.0
commands:
  publish-plugin: publish-plugin.yml
  package-plugin: package-plugin.yml
templates:
- Plugin.groovy
- mavenCentralPublishing.gradle
